Subject: Re: [PATCH] Use perl instead of tac

From: Jörg Sommer <[email-masked]>
Date: Wed, 30 Apr 2008 11:39:50 +0200

Hallo Brian,

Jörg Sommer schrieb am Wed 30. Apr, 11:02 (+0200):
> Brian Gernhardt schrieb am Mon 28. Apr, 15:13 (-0400):
> > Now that I think about it, the generation of marks could be done by a  
> > second loop over the list.  Notice what commits need to be marked in  
> > loop 1, then add the mark commands in loop 2.  Both of these loops would 
> > function in the same direction, removing the need for either tac or perl.
> 
> You are right.

… but I found the problem. I don't know how to pass the list from one
subshell to the other.

% { echo pick; echo merge; a=12 } | { echo +$a+; while read line; do echo $line; done; }
++
pick
merge

The only idea I have is a file. Do you have a better idea?

% { echo pick; echo merge; a=12 } >/tmp/tmp; \
  { echo +$a+; while read line; do echo $line; done; } < /tmp/tmp
+12+
pick
merge

Bye, Jörg.
-- 
Viele Leute glauben, dass sie denken, wenn sie lediglich
ihre Vorurteile neu ordnen.